// GaussianBlur

// #######################
// ##### PARAMETERS ######

uniform sampler2D TextureSampler;

#define SAMPLE_COUNT 7

uniform vec2 SampleOffsets[SAMPLE_COUNT];
uniform float SampleWeights[SAMPLE_COUNT];


// #######################
// ##### PIXELSHADER #####

void main(void)
{
    vec4 c = vec4(0.0);
    
    // Combine a number of weighted image filter taps.
    for (int i = 0; i < SAMPLE_COUNT; i++)
    {
        c += texture2D(TextureSampler, gl_TexCoord[0].xy + SampleOffsets[i].xy) *SampleWeights[i];
    }
    
    gl_FragColor = c;

}
